summaryrefslogtreecommitdiffstats
path: root/games/atari++/atari++.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'games/atari++/atari++.SlackBuild')
-rw-r--r--games/atari++/atari++.SlackBuild92
1 files changed, 92 insertions, 0 deletions
diff --git a/games/atari++/atari++.SlackBuild b/games/atari++/atari++.SlackBuild
new file mode 100644
index 0000000000..8cba7da25b
--- /dev/null
+++ b/games/atari++/atari++.SlackBuild
@@ -0,0 +1,92 @@
+#!/bin/sh
+
+# Slackware build script for atari++
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+PRGNAM=atari++
+VERSION=${VERSION:-1.58}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+# Do you want to force the package to be compiled with standard
+# Slackware CFLAGS, as set below? The author's makefile includes
+# a fancy set of flags, which the program has presumably been tested
+# with, so it should be fine to use them. If you're a stickler about
+# Slackware-ism, you can build with FORCE_SLACK_CFLAGS=yes to use
+# $SLKCFLAGS instead of the author's.
+FORCE_SLACK_CFLAGS=${FORCE_SLACK_CFLAGS:-no}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM
+tar xvf $CWD/${PRGNAM}_$VERSION.tar.gz
+cd $PRGNAM
+chown -R root:root .
+chmod -R a-s,u+w,go+r-w .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+if [ "$FORCE_SLACK_CFLAGS" = "yes" ]; then
+ make OPTIMIZER="$SLKCFLAGS"
+else
+ make
+fi
+
+# no DESTDIR support, --mandir is ignored, docs go to /usr/share/doc,
+# let's not use `make install' at all.
+mkdir -p $PKG/usr/bin $PKG/usr/man/man1 $PKG/usr/doc/$PRGNAM-$VERSION
+
+install -s -m0755 -o root -g root $PRGNAM $PKG/usr/bin
+
+# Man page should be section 1, not 6
+sed -e 's/^\(\.TH atari++\) 6/\1 1/' < $PRGNAM.man | \
+ gzip -9c - > $PKG/usr/man/man1/$PRGNAM.1.gz
+
+mkdir -p $PKG/usr/share/{applications,pixmaps}
+cp $CWD/$PRGNAM.desktop $PKG/usr/share/applications
+cp $CWD/$PRGNAM.png $PKG/usr/share/pixmaps
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ COPYRIGHT CREDITS ARCHITECTURE README.History README.LEGAL README.licence \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/html
+cp manual/* $PKG/usr/doc/$PRGNAM-$VERSION/html
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}